List invoices
curl --request GET \
--url https://api.streamloop.app/v1/billing/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamloop.app/v1/billing/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamloop.app/v1/billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"cost": 123,
"createdAt": "2023-11-07T05:31:56Z",
"credits": 123,
"currency": "<string>",
"id": "<string>",
"method": "<string>",
"remainingCredits": 123,
"receiptURL": "<string>"
}
],
"page": {
"hasMore": true,
"nextCursor": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}GET
/
billing
/
invoices
List invoices
curl --request GET \
--url https://api.streamloop.app/v1/billing/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamloop.app/v1/billing/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamloop.app/v1/billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"cost": 123,
"createdAt": "2023-11-07T05:31:56Z",
"credits": 123,
"currency": "<string>",
"id": "<string>",
"method": "<string>",
"remainingCredits": 123,
"receiptURL": "<string>"
}
],
"page": {
"hasMore": true,
"nextCursor": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
oauth2bearerAuthapiKey
OAuth 2.1 authorization-code flow with PKCE.
Query Parameters
Maximum items to return (1-100, default 20).
Required range:
1 <= x <= 100Pagination cursor from a previous response's page.nextCursor.
⌘I